/*
 * Copyright (C) 2005-2013 Schlichtherle IT Services.
 * All rights reserved. Use is subject to license terms.
 */
package net.java.truelicense.json.auth;

import net.java.truelicense.core.auth.GenericRepository;
import net.java.truelicense.json.codec.JsonCodec;

/**
 * A generic repository which uses a {@link JsonCodec}.
 *
 * @author Christian Schlichtherle
 */
public final class JsonRepository extends GenericRepository {

    /**
     * Constructs a JSON repository.
     *
     * @param codec the JSON codec for the artifact.
     */
    public JsonRepository(JsonCodec codec) { super(codec); }
}
